org.eclipse.jetty.websocket

## Interface WebSocket.OnControl

All Superinterfaces:
  WebSocket

Enclosing interface:
  WebSocket

    public static interface WebSocket.OnControl
    extends WebSocket

A nested WebSocket interface for receiving control messages

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.jetty.websocket.WebSocket

`WebSocket.Connection, WebSocket.FrameConnection, WebSocket.OnBinaryMessage, WebSocket.OnControl, WebSocket.OnFrame, WebSocket.OnTextMessage`

### Method Summary

Methods
`boolean` `onControl(byte controlCode, byte[] data, int offset, int length)` Called when a control message has been received.

### Methods inherited from interface org.eclipse.jetty.websocket.WebSocket

`onClose, onOpen`

### Method Detail

#### onControl

    boolean onControl(byte controlCode,
                    byte[] data,
                    int offset,
                    int length)

Called when a control message has been received.

Parameters:
  `controlCode` -
  `data` -
  `offset` -
  `length` -
Returns:
  true if this call has completely handled the control message and no further processing is needed.